<?php
/*
Plugin Name: Click2Refer Virtual Dictionary
Plugin URI: http://www.zingersaga.net/click2refer_plugin.htm
Description: Click2Refer helps blog readers to refer Wordnet dictionary for English words in a double click.  
Version: 1.1
Author: Dinesh Babu
Author URI: http://www.zingersaga.net
License: GPL
*/


/*  Copyright 2010  Dinesh Babu  (email : click2refer@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* Initializing action.*/

//delete_option('bkt_info_text'); 
//delete_option('bkt_font_color');
//delete_option('bkt_background');

add_action('admin_menu', 'bkt_create_menu');
add_action( 'admin_init', 'register_mysettings' ); 
add_action('the_content','init_bkt_appln');

// default values for the variables follows

$bkt_default_info_text ='You can double click on any word to get its meaning';
$bkt_default_font_color = '0B0F0B';
$bkt_default_background = 'FAFA2D'; 
$bkt_default_show_option = 'top'; // either to display message bar on top or bottom 

if(get_option('bkt_info_text')==false) // it's run only once after installation to create the options in database
{
   add_option("bkt_info_text", $bkt_default_info_text, '', 'yes');
   add_option("bkt_font_color", $bkt_default_font_color, '', 'yes');
   add_option("bkt_background", $bkt_default_background, '', 'yes');
   add_option("bkt_show_option", $bkt_default_show_option, '', 'yes');
}

function init_bkt_appln($content) {

if( get_option("bkt_show_option") == 'bottom') echo $content; ?>
<br><!-- Code for Click2Refer Script begins -->

<span id='click2refer_script'><div style="border: 1px dotted black;width:370px;text-align:center;color:#<?php echo get_option('bkt_font_color'); ?>;background-color:#<?php echo get_option('bkt_background');?>;"><b style="margin:5px;"><img src="wp-content/plugins/click2refer-virtual-dictionary/images/pin.png" alt="*" />&nbsp;<?php echo get_option('bkt_info_text'); ?></b></div>
 </span>
<script language='javascript' src='wp-content/plugins/click2refer-virtual-dictionary/js/click2refer_plugin.js'></script>
<script language='javascript' > var server_info = "<?php echo bloginfo('wpurl'); ?>"; </script>

<!-- Code for Click2Refer Script ends --><br>

<?php
if( get_option("bkt_show_option") == 'top') echo $content;
}

function bkt_create_menu() {	// for creating custom plugin settings menu

add_options_page('BKT Settings', 'Click2Refer', 'administrator', 'bkt-settings', 'bkt_settings_page');

}

function register_mysettings() { 	 
	register_setting( 'bkt-settings-group', 'bkt_info_text','bkt_call_back1');
        register_setting( 'bkt-settings-group', 'bkt_font_color','bkt_call_back2');
	register_setting( 'bkt-settings-group', 'bkt_background','bkt_call_back3');
	register_setting( 'bkt-settings-group', 'bkt_show_option','bkt_call_back4');
}

// validation call back functions follow 

function bkt_call_back1($input) { 
  if( strlen( $input) == 0 )
   $input = "You can double click on any word to get its meaning";
 
  return $input;
}

function bkt_call_back2($input) {
  if( strlen( $input) == 0  )
    $input = "0B0F0B";
 
  return $input;
}

function bkt_call_back3($input) {
  if( strlen( $input) == 0  )
     $input ="FAFA2D";
  
   return  $input;
}

function bkt_call_back4($input) { 
   return  $input;
}
 
function bkt_settings_page() {
?>

<script language='javascript' src='<?php bloginfo('wpurl');?>/wp-content/plugins/click2refer-virtual-dictionary/jscolor/jscolor.js'></script>

<script language="javascript">

function update_demo() { // to update the message bar preview

 var demotext = document.getElementById('click2refer_infobar_demo');

 document.getElementById('innerMsg').innerHTML = document.getElementById('msgtext').value;
 demotext.style.backgroundColor = document.getElementById('msgbackcolor').value;
 demotext.style.color = document.getElementById('msgforecolor').value;

}

</script>

<!-- Click2Refer settings page works -->

<div class="wrap">
  
<h2>Click2Refer Virtual Dictionary - Settings </h2>

<form method="post" action="options.php">
    <?php settings_fields( 'bkt-settings-group' ); ?>

<Center>
<br><h3> Messsage bar preview: </h3>
<div id="click2refer_infobar_demo" style="border: 1px dotted black;width:370px;text-align:center;color:#<?php echo get_option('bkt_font_color'); ?>;background-color:#<?php echo get_option('bkt_background');?>;"><img src="<?php bloginfo('wpurl');?>/wp-content/plugins/click2refer-virtual-dictionary/images/pin.png" alt="*" />&nbsp;&nbsp;<b style="margin:5px;" id='innerMsg'><?php echo get_option('bkt_info_text'); ?></b></div>
</center>

<br>

     <table class="form-table" border=1>
        <tr valign="top">
        <th scope="row">Message bar - information text</th>
        <td><input type="text" name="bkt_info_text" id="msgtext" onKeyUp="update_demo();" value="<?php echo get_option('bkt_info_text'); ?>" size="50" maxlength="50" />
<i> (Maximum 50 characters) </i></td>
</tr>
            
<tr valign="top">
        <th scope="row">Message bar - font Color</th>
        <td><input type="text" name="bkt_font_color" class="color" id="msgforecolor" onChange="update_demo();" value="<?php echo get_option('bkt_font_color'); ?>" />
<i> (click on the text box to choose color)  </i></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">Message bar - background color</th>
        <td><input type="text" name="bkt_background" class="color" id="msgbackcolor" onChange="update_demo();" value="<?php echo get_option('bkt_background'); ?>" />
<i> (click on the text box to choose color)  </i></td>
        </tr>

 <tr valign="top">
        <th scope="row">Message display on</th>
        <td><input type="radio" name="bkt_show_option" value="top" <?php echo (get_option('bkt_show_option')=='top')?'CHECKED':''; ?> /> Top
        <input type="radio" name="bkt_show_option" value="bottom" <?php echo (get_option('bkt_show_option')=='bottom')? 'CHECKED':''; ?> /> Bottom </td>
        </tr>
     
    </table>

    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php } ?>